
/*
 * Updated: 12th March 2007
 */

/** \mainpage
 *
 * This is the documentation for the <b>Synesis Software UNIX Emulation for Win32 Library</b>.
 *
 * The purpose of the library is very simple: to be able to test projects for the <a href = "http://unixstl.org/">UNIXSTL</a>
 * project from the Win32 platform.
 *
 * The library currently provides implementations of the following UNIX APIs:
 *
 * - chdir(), getcwd(), mkdir(), rmdir()
 * - dlopen(), dlclose(), dlsym(), dlerror()
 * - getpagesize()
 * - gettimeofday()
 * - link(), unlink()
 * - glob(), globfree()
 * - mmap(), munmap(), msync()
 * - opendir(), readdir(), rewinddir(), closedir()
 * - pathconf(), realpath()
 * - readv(), writev()
 *
 * all of which are unavailable with the Intel C/C++ / Visual C/C++ and other compilers.
 *
 * There are also makefiles for the following compilers: Borland (5.5, 5.5.1, 5.6, 5.6.4), Comeau (4.3.0.1, 4.3.3), 
 * CodeWarrior (7 & 8), Digital Mars, GCC (2.95, 3.2, 3.3, 3.4), Intel (6, 7, & 8), Open Watcom (1.2) and Visual 
 * C++ (4.2, 5, 6, 7, 7.1 and 8).
 *
 * The implementations provided are not industrial strength, by any means, and are only intended to provide aid in cross-platform
 * development. There are <b>NO WARRANTIES WHATSOEVER</b> with this software, and if you use it for production code, you may be
 * making a serious mistake.
 *
 * Notwithstanding those caveats, it is my intention to provide a good quality library, so I would appreciate notification if
 * you locate any bugs
 *
 * As of version 1.4, it is released under the 
 * <a target="top" href="http://www.opensource.org/licenses/bsd-license.html">BSD</a> license. Earlier versions use the 
 * <a href = "http://synesis.com.au/licenses/ssssl.html">Synesis Software Standard Source License</a>.
 *
 * <br>
 * Best regards, and good coding
 *
 * <b>Matthew Wilson</b>
 * 
 * \htmlonly
 * <table border = "0">
 *  <tr>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">Author, <a target = "top" href = "http://www.extendedstl.com/">"Extended STL, volume 1: Collections and Iterators"</a>, Addison-Wesley, 2007</font></td>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">(<a target = "top" href = "http://www.extendedstl.com/">http://www.extendedstl.com</a>)</font></td>
 *  </tr>
 *  <tr>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">Author, <a target = "top" href = "http://www.imperfectcplusplus.com/">"Imperfect C++"</a>, Addison-Wesley, 2004</font></td>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">(<a target = "top" href = "http://www.imperfectcplusplus.com/">http://www.imperfectcplusplus.com</a>)</font></td>
 *  </tr>
 *  <tr>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">Director, <a href = "http://synesis.com.au/">Synesis Software</a></font></td>
 *   <td>&nbsp;&nbsp;</td>
 *   <td><font size = "-1">(<a target = "top" href = "http://www.synesis.com.au">http://www.synesis.com.au</a>)</font></td>
 *  </tr>
 * </table>
 * \endhtmlonly
 *
 * <hr>
 */

